
Redmine - Defect #21866

Reply to Forum Message results in error.

2016-01-28 00:53 - Ranjan Das

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

Hi,

When we try to reply to forum messages we are getting an exception.

ActiveRecord::StatementInvalid in MessagesController#reply

SQLite3::SQLException: cannot rollback - no transaction is active: rollback transaction

ActiveRecord::StatementInvalid in MessagesController#reply

SQLite3::SQLException: cannot rollback - no transaction is active: rollback transaction

Extracted source (around line #77):
    @reply.board = @board

    @reply.safe_attributes = params[:reply]

    @topic.children << @reply

    if !@reply.new_record?

      call_hook(:controller_messages_reply_after_save, { :params => params, :message => @reply})

      attachments = Attachment.attach_files(@reply, params[:attachments])

Rails.root: /opt/redmine/redmine

Application Trace | Framework Trace | Full Trace

sqlite3 (1.3.11) lib/sqlite3/statement.rb:108:in `step'

sqlite3 (1.3.11) lib/sqlite3/statement.rb:108:in `block in each'

sqlite3 (1.3.11) lib/sqlite3/statement.rb:107:in `loop'

sqlite3 (1.3.11) lib/sqlite3/statement.rb:107:in `each'

sqlite3 (1.3.11) lib/sqlite3/database.rb:149:in `map'

sqlite3 (1.3.11) lib/sqlite3/database.rb:149:in `block in execute'

sqlite3 (1.3.11) lib/sqlite3/database.rb:95:in `prepare'

sqlite3 (1.3.11) lib/sqlite3/database.rb:134:in `execute'

sqlite3 (1.3.11) lib/sqlite3/database.rb:526:in `rollback'

activerecord (4.2.5) lib/active_record/connection_adapters/sqlite3_adapter.rb:361:in `block in exe

c_rollback_db_transaction'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract_adapter.rb:472:in `block in lo

g'

activesupport (4.2.5) lib/active_support/notifications/instrumenter.rb:20:in `instrument'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract_adapter.rb:466:in `log'

activerecord (4.2.5) lib/active_record/connection_adapters/sqlite3_adapter.rb:361:in `exec_rollbac

k_db_transaction'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract/database_statements.rb:266:in 

`rollback_db_transaction'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract/query_cache.rb:14:in `rollback

_db_transaction'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract/transaction.rb:145:in `rollbac

k'
activerecord (4.2.5) lib/active_record/connection_adapters/abstract/transaction.rb:179:in `rollbac

k_transaction'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract/transaction.rb:186:in `rescue 

in within_new_transaction'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract/transaction.rb:201:in `within_

new_transaction'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract/database_statements.rb:213:in 

`transaction'

activerecord (4.2.5) lib/active_record/transactions.rb:220:in `transaction'

activerecord (4.2.5) lib/active_record/associations/collection_association.rb:182:in `transaction'

activerecord (4.2.5) lib/active_record/associations/collection_association.rb:168:in `concat'

activerecord (4.2.5) lib/active_record/associations/collection_proxy.rb:970:in `<<'

app/controllers/messages_controller.rb:77:in `reply'

actionpack (4.2.5) lib/action_controller/metal/implicit_render.rb:4:in `send_action'

actionpack (4.2.5) lib/abstract_controller/base.rb:198:in `process_action'

actionpack (4.2.5) lib/action_controller/metal/rendering.rb:10:in `process_action'

actionpack (4.2.5) lib/abstract_controller/callbacks.rb:20:in `block in process_action'

activesupport (4.2.5) lib/active_support/callbacks.rb:117:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:117:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'

activesupport (4.2.5) lib/active_support/callbacks.rb:505:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:505:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:498:in `block (2 levels) in around'

activesupport (4.2.5) lib/active_support/callbacks.rb:313:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

activesupport (4.2.5) lib/active_support/callbacks.rb:432:in `block in make_lambda'

activesupport (4.2.5) lib/active_support/callbacks.rb:312:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:312:in `block in halting'

activesupport (4.2.5) lib/active_support/callbacks.rb:497:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:497:in `block in around'

activesupport (4.2.5) lib/active_support/callbacks.rb:505:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:505:in `call'

activesupport (4.2.5) lib/active_support/callbacks.rb:92:in `__run_callbacks__'

activesupport (4.2.5) lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'

activesupport (4.2.5) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (4.2.5) lib/abstract_controller/callbacks.rb:19:in `process_action'

actionpack (4.2.5) lib/action_controller/metal/rescue.rb:29:in `process_action'

actionpack (4.2.5) lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'

activesupport (4.2.5) lib/active_support/notifications.rb:164:in `block in instrument'

activesupport (4.2.5) lib/active_support/notifications/instrumenter.rb:20:in `instrument'

activesupport (4.2.5) lib/active_support/notifications.rb:164:in `instrument'

actionpack (4.2.5) lib/action_controller/metal/instrumentation.rb:30:in `process_action'

actionpack (4.2.5) lib/action_controller/metal/params_wrapper.rb:250:in `process_action'

activerecord (4.2.5) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

actionpack (4.2.5) lib/abstract_controller/base.rb:137:in `process'

actionview (4.2.5) lib/action_view/rendering.rb:30:in `process'

actionpack (4.2.5) lib/action_controller/metal.rb:196:in `dispatch'

actionpack (4.2.5) lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'

actionpack (4.2.5) lib/action_controller/metal.rb:237:in `block in action'

actionpack (4.2.5) lib/action_dispatch/routing/route_set.rb:76:in `call'

actionpack (4.2.5) lib/action_dispatch/routing/route_set.rb:76:in `dispatch'

actionpack (4.2.5) lib/action_dispatch/routing/route_set.rb:45:in `serve'

actionpack (4.2.5) lib/action_dispatch/journey/router.rb:43:in `block in serve'

actionpack (4.2.5) lib/action_dispatch/journey/router.rb:30:in `each'

actionpack (4.2.5) lib/action_dispatch/journey/router.rb:30:in `serve'

actionpack (4.2.5) lib/action_dispatch/routing/route_set.rb:817:in `call'

rack-openid (1.4.2) lib/rack/openid.rb:98:in `call'

request_store (1.0.5) lib/request_store/middleware.rb:9:in `call'

rack (1.6.4) lib/rack/content_length.rb:15:in `call'

rack (1.6.4) lib/rack/etag.rb:24:in `call'

rack (1.6.4) lib/rack/conditionalget.rb:38:in `call'

rack (1.6.4) lib/rack/head.rb:13:in `call'

actionpack-xml_parser (1.0.2) lib/action_dispatch/xml_params_parser.rb:16:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/params_parser.rb:27:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/flash.rb:260:in `call'

rack (1.6.4) lib/rack/session/abstract/id.rb:225:in `context'
rack (1.6.4) lib/rack/session/abstract/id.rb:220:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/cookies.rb:560:in `call'

activerecord (4.2.5) lib/active_record/query_cache.rb:36:in `call'

activerecord (4.2.5) lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `cal

l'

actionpack (4.2.5) lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'

activesupport (4.2.5) lib/active_support/callbacks.rb:88:in `__run_callbacks__'

activesupport (4.2.5) lib/active_support/callbacks.rb:778:in `_run_call_callbacks'

activesupport (4.2.5) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (4.2.5) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/reloader.rb:73:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/remote_ip.rb:78:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

railties (4.2.5) lib/rails/rack/logger.rb:38:in `call_app'

railties (4.2.5) lib/rails/rack/logger.rb:20:in `block in call'

activesupport (4.2.5) lib/active_support/tagged_logging.rb:68:in `block in tagged'

activesupport (4.2.5) lib/active_support/tagged_logging.rb:26:in `tagged'

activesupport (4.2.5) lib/active_support/tagged_logging.rb:68:in `tagged'

railties (4.2.5) lib/rails/rack/logger.rb:20:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/request_id.rb:21:in `call'

rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'

rack (1.6.4) lib/rack/runtime.rb:18:in `call'

activesupport (4.2.5) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'

rack (1.6.4) lib/rack/lock.rb:17:in `call'

actionpack (4.2.5) lib/action_dispatch/middleware/static.rb:116:in `call'

rack (1.6.4) lib/rack/sendfile.rb:113:in `call'

railties (4.2.5) lib/rails/engine.rb:518:in `call'

railties (4.2.5) lib/rails/application.rb:165:in `call'

rack (1.6.4) lib/rack/lock.rb:17:in `call'

rack (1.6.4) lib/rack/content_length.rb:15:in `call'

rack (1.6.4) lib/rack/handler/webrick.rb:88:in `service'

/opt/redmine/ruby/lib/ruby/2.2.0/webrick/httpserver.rb:138:in `service'

/opt/redmine/ruby/lib/ruby/2.2.0/webrick/httpserver.rb:94:in `run'

/opt/redmine/ruby/lib/ruby/2.2.0/webrick/server.rb:294:in `block in start_thread'

Request

Parameters:

{"utf8"=>"✓",

 "authenticity_token"=>"OrCEc9nWtUuc4DBwc9k8tSpXd/wBDk15AvK76z2v8dr3ER6UGacSLSaNk/86vJupBk+r85UENv

MqucORogrYmA==",

 "reply"=>{"subject"=>"RE: Kerberos Issue",

 "content"=>"Which Environment?"},

 "commit"=>"Submit",

 "board_id"=>"3",

 "id"=>"33"}

Toggle session dump

_csrf_token: "zaGa58Bxp2a6baOPSWWnHCwY3A+UCnuKKEt4ep+lKUI=" 

boards_show_sort: "updated_on:desc" 

session_id: "d2402c256141fc1b2e53e0efd4fd27c2" 

sudo_timestamp: 1453938244

tk: "7f20f49e2cc05a3c739e066330037a4395198545" 

user_id: 5

Toggle env dump

GATEWAY_INTERFACE: "CGI/1.1" 

HTTP_ACCEPT: "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8" 

HTTP_ACCEPT_ENCODING: "gzip, deflate" 

HTTP_ACCEPT_LANGUAGE: "en-US,en;q=0.8" 

HTTP_CACHE_CONTROL: "max-age=0" 

REMOTE_ADDR: "127.0.0.1" 

REMOTE_HOST: "127.0.0.1" 

SERVER_NAME: "insight.dev.cba" 

SERVER_PROTOCOL: "HTTP/1.1" 

Response

Headers:
None

 
Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.2.3-p173 (2015-08-18) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    development

  Database adapter               SQLite

SCM:

  Filesystem

Redmine plugins:

  redmine_knowledgebase          3.1.0

History

#1 - 2016-01-29 00:38 - Ranjan Das

- Status changed from New to Resolved

Issue resolved by upgrading sqlite to the latest available release for CentOS 6.7.  sqlite-3.6.20-1.el6_7.2.x86_64

#2 - 2016-02-18 06:04 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid
